Detected country: US
logo
API Docs

Getting Started

  • How to get started with Cobalt

Assets

  • Assets are what we pentest
  • Asset Types
  • Create an Asset
  • Risk Advisories

Pentests

  • Pentests
  • Create a Pentest
    • Overview
    • Asset Details
    • Pentest Details
    • Scope & Test Period
    • Preparation
  • Create an Autonomous Pentest
    • Launch a Saved Autonomous Pentest
    • Review a Closed Autonomous Pentest Report
  • Pentest Process
  • Pentest States
  • Coverage Checklist
  • Pentest Expectations
  • In House Pentests
    • Complete an In-House Pentest (For Pentesters)
    • Set Up an In-House Pentest
  • Findings
    • Remediate Findings
    • Finding States
    • Severity Levels
  • Reports
    • Contents of a Pentest Report
    • Customize Your Report
    • Co-branded Reports
  • Preparation

Engagements

  • Engagements Overview
  • Digital Risk Assessment
  • Secure Code Review

Findings

  • Findings

Insights

  • Insights

Planning

  • Planning

Methodologies

  • Cobalt Methodologies Overview
  • Web Methodologies
  • Autonomous Web Methodologies
  • API Methodologies
  • External Network Methodologies
  • Internal Network Methodologies
  • Mobile Methodologies
  • Cloud Configuration Review Methodologies
  • Cloud Pentest Methodology
  • Desktop Methodologies
  • AI/LLM Methodologies
  • Digital Risk Assessment Methodology
  • Secure Code Review Methodologies

Attack Surface

  • Attack Surface Monitoring (ASM)

DAST Scanner

  • DAST Scanner Overview
  • Best Practices
  • FAQ
  • Integrations
  • Partial Scans: Reduced Scope
  • Scans
  • Sequence recorder
  • Targets
  • Target Authentication
  • Extra Hosts
  • Blackout Period

User Account

  • Account Overview
  • Account Settings
  • Password Best Practices
  • Sign In to Cobalt
  • Troubleshoot Sign-in Issues

Collaboration

  • Collaboration Overview
  • Collaborate on Pentests
  • Groups
  • Manage Pentest Collaborators
  • User Roles and Permissions
  • Manage Notifications

Organization

  • Organization Overview
  • Manage Users
  • Your Cobalt Contract
  • Configure Organization Settings
    • Configure SAML SSO
    • SAML Migration: Update Your Configuration
    • SCIM Provisioning Setup Guide

Credits

  • Cobalt PtaaS Tiers
  • Cobalt Credits
  • Track Your Credits

Integrations

  • Cobalt Integrations Overview
  • Integration Builder
    • Connect your applications
    • How to Guides
      • Create Azure DevOps Work Item for Findings
      • Create GitHub tickets for Findings
      • Create GitLab tickets for Findings
      • Send email notifications for Findings from Outlook
      • Send MS Teams notifications for Findings
      • Create Jira tickets for Findings
      • HTTP Connector
      • Import Assets from Google Sheets
      • Map Cobalt Pentest Finding Severity to Jira Issue Priority
      • Modify Jira Issue Summary to contain Pentest Title
    • Troubleshooting
  • Integrate Jira with Cobalt
    • Jira Cloud Integration
    • Jira Data Center Integration
    • Push Cobalt Findings to Jira
    • Synchronize Cobalt Severity Levels with Jira
    • Switching to a New Jira Instance
    • Troubleshoot Your Jira Integration
  • Slack
  • Microsoft Teams
  • Webhooks
  • DefectDojo
  • Kenna Security
  • Vanta
  • Carried Over Findings
  • Create Test Finding
  • Wiz

Cobalt API

  • Cobalt API Overview
  • Create a Personal Cobalt API Token
  • Get an Organization Token
  • Revoke Your Personal Cobalt API Tokens
  • Create or Modify an Asset
  • Import Findings to Google Sheets

Glossary

  • Glossary

What's New

  • May 2026
  • April 2026
  • March 2026
  • February 2026
  • January 2026
  • November 2025 
  • August 2025
  • July 2025
  • June 2025
  • May 2025
  • April 2025
  • March 2025
  • January 2025
  • December 2024
  • November 2024
  • October 2024
  • September 2024
  • August 2024
  • July 2024
  • June 2024
  • May 2024
  • April 2024
  • March 2024
  • January 2024
  • Product Updates
  • August 2026
‌
‌
‌
logo

Powered by

Assistant

Ask new question

Powered by
  • Home
  • Cobalt API
  • Pentests

Pentests

2min read

Share

Get All Pentests

This endpoint retrieves a list of all pentests that belong to the organization specified in the X-Org-Token header.

HTTP Request

GET https://api.us.cobalt.io/pentests

URL Parameters

ParameterDefaultDescription
assetN/AIf specified, returns pentests scoped to this asset id. Example: \nhttps://api.us.cobalt.io/pentests?asset=as_rvZRC5Y
cursorN/AUsed for pagination. Example: \nhttps://api.us.cobalt.io/pentests?cursor=a1b2c3d4
limit1000If specified, returns only a specified amount of pentests. Example: \nhttps://api.us.cobalt.io/pentests?limit=5

Response Fields

FieldDescription
idA unique ID representing the pentest. Starts with pt_
titleThe title of the returned pentest.
objectivesThe objectives of the pentest, for example, “Coverage of OWASP Top 10”
asset_idID of the asset that the returned pentest belongs to
platform_tagsTech stack of the target, for example, Java, Kotlin, Ruby, or AWS.
methodologyPentest methodology. Web, API, Web+API, Mobile, External Network and so on.
targetsTargetted IP addresses, domains, services, and so on.
start_dateThe starting date of the pentest. Format: Dec 11 2019
end_dateThe ending date of the pentest. Format: Dec 11 2019
statenew, in_review, planned, cancelled, live, remediation, or closed
links.ui.urlA link to redirect an authorized user to this pentest in the Cobalt web application
curl -X GET "https://api.us.cobalt.io/pentests" \
  -H "Accept: application/vnd.cobalt.v1+json" \
  -H "Authorization: Bearer YOUR-PERSONAL-API-TOKEN" \
  -H "X-Org-Token: YOUR-V1-ORGANIZATION-TOKEN"

The above command returns JSON structured like this:

{
  "data": [
    {
      "resource": {
        "id": "pt_rVShby8",
        "title": "HR System Security Test 2022-Q4",
        "objectives": "Coverage of OWASP top 10, ASVS and application logic.",
        "state": "new",
        "tag": "#PT5940",
        "asset_id": "as_0EY8V1C",
        "platform_tags": [
          "rails",
          "ruby",
          "aws"
        ],
        "methodology": "web",
        "targets": [
          "https://example.com",
          "192.168.1.1"
        ],
        "start_date": "Dec 11 2019",
        "end_date": "Dec 25 2019"
      },
      "links": {
        "ui": {
          "url": "https://api.us.cobalt.io/links/eyJ0eXBlIjoic29tZXRoaW5nIiwib3JnU2x1ZyI6ImNvYmFsdCIsInBlbnRlc3RUYWciOiJz="
        }
      }
    }
  ],
  "pagination": {
    "next_page": "/pentests?cursor=a1b2c3d4",
    "prev_page": "/pentests?cursor=4d3c2b1a"
  }
}

:::info Remember - you can only request pentests scoped to the organization specified in the X-Org-Token header.

:::

Share